1 Reply Latest reply on May 1, 2013 6:35 PM by Jeff Arola

    PSE 5 and Snow Leopard?

    tcroach

      Is PSE 5 compatible with Snow Leopard?

        • 1. Re: PSE 5 and Snow Leopard?
          Jeff Arola Adobe Community Professional

          No pse 5 is windows only, there was no pse 5 for macs.

           

          I believe there was versions 1,2,3, 4 (an 4.01 update added a few features to the mac version) 6,8,9,10 and 11  for mac os

           

          Of the above versions 6,8,9,10 and 11 should work on snow leopard.